{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<div class="panel depends-on-enabled">
    <h3><i class="icon icon-cogs"></i> {l s='Existing Order Sync' mod='nudgifysocialproof'}</h3>
    <div class="form-wrapper">

        <div class="form-group clearfix">
            <label class="control-label col-lg-3">&nbsp;</label>
            <div class="col-lg-3">
                <div>
                    <button type="button" id="nudgify_manually_sync" class="btn btn-default nudgify-btn">
                        <i class="process-icon-refresh"></i>
                        {l s='Manually Sync Orders' mod='nudgifysocialproof'}
                    </button>
                </div>
                <p class="help-block">
                    {l s='This will send the last 30 orders to Nudgify.' mod='nudgifysocialproof'}
                </p>
            </div>
        </div>
    </div>
</div>

{literal}
<style>
    @keyframes nudgify-spin-animation {
        0% {
            transform: rotate(0deg);
        }
        100% {
            transform: rotate(360deg);
        }
    }

    .nudgify-spin {
        display: block;
        animation: nudgify-spin-animation 2s linear infinite;
    }

    .nudgify-btn {
        min-width: 14em;
    }

    #module_form .panel-footer {
        padding-left: 20px;
        padding-right: 20px;
        height: auto;
    }
</style>

<script>
    jQuery(document).ready(function () {
        var nudgifyForm = $('#module_form');
        var nudgifySave = jQuery('#nudgify_save');
        var nudgifySetupConnection = jQuery('#nudgify_setup_connection');
        var nudgifyManualSync = jQuery('#nudgify_manually_sync');
        var nudgifyDoManualSync = jQuery('#nudgify_do_manually_sync');

        nudgifyForm
            .find('.panel-footer')
            .addClass('clearfix')
            .wrapInner('<div class="col-lg-9"></div>')
            .prepend('<label class="control-label col-lg-3">&nbsp;</label>');

        nudgifyForm
            .find('.depends-on-enabled, #NUDGIFY_AUTO_SYNC_ORDERS_ENABLED_on')
            .parents('.form-group')
            .addClass('depends-on-enabled');

        nudgifySave.prepend('<i class="process-icon-save"></i>').on('click', function () {
            nudgifySave.blur().val(1).html(`
                <span class="nudgify-spin"><i class="process-icon-refresh"></i></span> 
                Saving ...
            `);
        });

        nudgifyManualSync.on('click', function () {
            nudgifyManualSync.blur().html(`
                <span class="nudgify-spin"><i class="process-icon-refresh"></i></span> 
                Syncing orders ...
            `);

            nudgifyDoManualSync.val(1).click();
        });

        nudgifyForm.on('submit', function () {
            if (nudgifyDoManualSync.val() != 1 && nudgifySave.val() != 1) {
                nudgifySetupConnection.blur().html(`
                    <span class="nudgify-spin"><i class="process-icon-refresh"></i></span> 
                    Connecting ...
                `);
            }
        });

        jQuery('input[name=NUDGIFY_ENABLED]').on('change', function () {
            nudgifyToggleEnabled();
        });

        function nudgifyToggleEnabled() {
            var enabled = jQuery('input[name=NUDGIFY_ENABLED]:checked').val();
            if (enabled) {
                jQuery('.depends-on-enabled').removeClass('hidden');
                nudgifySetupConnection.show();
                nudgifySave.hide();
            } else {
                jQuery('.depends-on-enabled').addClass('hidden');
                nudgifySetupConnection.hide();
                nudgifySave.show();
            }
        }

        nudgifyToggleEnabled();
    });
</script>
{/literal}