{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{if isset($pixelData)}
    <script type="text/javascript">
        window.nudgify = window.nudgify || {$pixelData|cleanHtml nofilter};
        window.nudgify.pixelDataUrl = "{$dataUrl|cleanHtml nofilter}";

        (function(w) {
            var k = "nudgify", n = w[k] || (w[k] = {});
            n.uuid = "{$siteKey|cleanHtml nofilter}";
            var d = document, s = d.createElement("script");
            s.src = "{$pixelUrl|cleanHtml nofilter}";
            s.async = 1;
            s.charset = "utf-8";
            d.getElementsByTagName("head")[0].appendChild(s);
        })(window);

        (function () {
            var loopCounter = 0;
            var listenersRegistered = false;

            var onPrestashopReady = setInterval(function () {
                loopCounter++;

                if (loopCounter >= 8) {
                    clearInterval(onPrestashopReady);

                    updateNudgifyProduct(getAttributeIdFromUrl(window.location.href));

                    if (!listenersRegistered) {
                        window.addEventListener('hashchange', function (event) {
                            updateNudgifyProduct(getAttributeIdFromUrl(event.newURL));
                        });
                    }
                }

                if (!(window.prestashop && window.prestashop.on)) {
                    return;
                }

                loopCounter = 8;
                listenersRegistered = true;

                prestashop.on('updateProduct', function (event) {
                    if (event.eventType !== 'updatedProductCombination') {
                        return;
                    }

                    updateNudgifyProduct(event.event.target.value);
                });

                prestashop.on('updateCart', function (event) {
                    updateNudgifyCart();
                });
            }, 250);

            function updateNudgifyProduct(attributeId) {
                if (!attributeId) {
                    return;
                }

                var selected = (nudgify.data.combinations || []).find(function (item) {
                    return item.id_attribute == attributeId;
                });

                if (selected) {
                    nudgify.product({
                        id: nudgify.data.product.id,
                        stock: selected.stock,
                        image: selected.image || nudgify.data.product.image,
                    });
                }
            }

            function updateNudgifyCart() {
                fetch(nudgify.pixelDataUrl+'&action=cart')
                    .then(function (response) {
                        return response.json();
                    })
                    .then(function (result) {
                        nudgify.cart(result.data.cart);
                    })
                    .catch(function (error) {
                        console.log(error);
                    });
            }

            function getAttributeIdFromUrl(url) {
                var parts = url.split('#/');
                if (parts.length < 2) {
                    return null;
                }
                return parts[1].split('-')[0];
            }
        })();
    </script>
{/if}